Name:           wmfire
Version:        1.2.4
Release:        %mkrel 14
Summary:        A dock application that display CPUs usage and more as flames
License:        GPLv2
Group:          Monitoring

URL:            http://www.swanson.ukfsn.org/#wmfire
Source0:        http://www.swanson.ukfsn.org/wmfire/%{name}-%{version}.tar.gz
Patch0:         removed-inline-from-function-with-extern-linkage.patch


BuildRequires:  glibc-devel
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(libgtop-2.0)
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xcomposite)
BuildRequires:  pkgconfig(xdamage)
BuildRequires:  pkgconfig(xfixes)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(libffi)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)


%description
Wmfire is a flaming dock application which monitors CPU, memory and
net loads as well as file value. On mouse over, the cursor will
disappear and be replaced by a burning spot at that location. After
two seconds symbols will be burnt to represent what is being
monitored. For CPU, a short solid bar for average load, or a line of
dots representing the current CPU number on SMP systems. For the
memory, a 4x4 grid of dots is used to signify a memory array. For the
network, a line of marching dots is like data passing through a
cable. For file values, a spinning disk platter is shown.



%prep
%autosetup -p1


%build
autoreconf -vfi
%configure
%make_build


%install
%make_install


%files
%doc AUTHORS NEWS README ChangeLog ALL_I_GET_IS_A_GREY_BOX
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*



%changelog
* Sun Apr 16 2023 daviddavid <daviddavid> 1.2.4-14.mga9
+ Revision: 1953315
- remove no more needed old pcre-devel build dependency

* Wed Mar 30 2022 umeabot <umeabot> 1.2.4-13.mga9
+ Revision: 1835273
- Mageia 9 Mass Rebuild

* Sat Feb 22 2020 daviddavid <daviddavid> 1.2.4-12.mga8
+ Revision: 1549249
- add debian patch to remove inline from extern function
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.2.4-11.mga7
+ Revision: 1301690
- Mageia 7 Mass Rebuild

* Mon Sep 04 2017 cjw <cjw> 1.2.4-10.mga7
+ Revision: 1151200
- rebuild for new libgtop

* Mon Feb 08 2016 umeabot <umeabot> 1.2.4-9.mga6
+ Revision: 945400
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.4-8.mga5
+ Revision: 742953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.4-7.mga5
+ Revision: 690336
- Mageia 5 Mass Rebuild

* Tue Aug 19 2014 tv <tv> 1.2.4-6.mga5
+ Revision: 665732
- drop uclibc-devel BR

* Sun Jun 01 2014 eatdirt <eatdirt> 1.2.4-5.mga5
+ Revision: 630540
- Rebuilt for new libgtop

* Fri Oct 18 2013 umeabot <umeabot> 1.2.4-4.mga4
+ Revision: 520084
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.4-3.mga3
+ Revision: 385739
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 1.2.4-2.mga3
+ Revision: 314624
- Rebuild for mga3

* Sun Nov 06 2011 eatdirt <eatdirt> 1.2.4-1.mga2
+ Revision: 164435
- imported package wmfire


* Sun Nov 06 2011 Chris Ringeval <dirteat@gmail.com> 1.2.4-1.mga2
- import wmfire
